body {
    background-color: #655d5d;
    margin: 0;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#feed {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    justify-content: center;
    width: 100%;
}

.card {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    padding: 20px;
    width: 450px;
}

.card h2 {
    margin: 0 0 10px;
}

.card p {
    margin: 0 0 20px;
}

.card .user-info {
    font-size: 14px;
    color: #555;
}

.card .delete-btn,
.card .edit-btn {
    background-color: #ff6a00;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    margin-right: 5px;
    margin-top: 10px;
}

.card .edit-btn {
    background-color: #789fd8;
}

.card .delete-btn:hover {
    background-color: #ff1a1a;
}

.card .edit-btn:hover {
    background-color: #0066ff;
}

#loading {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
}

.spinner {
    width: 80px;
    height: 80px;
    border: 8px solid rgba(0, 0, 0, 0.1);
    border-top: 8px solid #ffff00;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(540deg); }
}

#add-post-btn {
    margin-bottom: 20px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
}

.close, .edit-close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover, .edit-close:hover,
.close:focus, .edit-close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#title-input, #body-input,
#edit-title-input, #edit-body-input {
    width: 100%;
    padding: 5px;
    margin: 10px 0;
}

#submit-post-btn, #submit-edit-btn {
    padding: 10px 20px;
    cursor: pointer;
}




